
package com.perforce.client.api;

import java.io.*;

public class FileSys
{
	private boolean javaCreatedTheInstance;
	int instance = 0;
	
//	private static native int nNewInstance();
	private static native void nDeleteInstance( int instance);
	
	private File javaFile = null;
	
/*
	FileSys()
	{
		this.instance = nNewInstance();
		javaCreatedTheInstance = true;
	}
*/	
	FileSys( int instance )
	{
		this.instance = instance;
		javaCreatedTheInstance = false;
	}
	
	protected void finalize()
	{
		if ( javaCreatedTheInstance )
		{
			nDeleteInstance( this.instance );
		}
	}
	
	private static native String nName( int instance );
	
	private File iGetFile()
	{
		if ( javaFile == null )
		{
			javaFile = new File( nName( this.instance ) );
		}
		
		return javaFile;
	}
	
	public File getJavaFile()
	{
		return iGetFile();
	}
	
}